<template>
  <div>
    <div class="row">
      <div class="col-md-12">
        <click-button
          @click="$router.push({'path':'/admin/gestionnaire/ajouter'})"
        >
          <template #content>
            Ajouter un gestionnaire
          </template>
        </click-button>
      </div>
    </div>
    <br>
    <admin-manager-table />
  </div>
</template>

<script>
import {mapActions, mapGetters} from "vuex";
import AdminManagerTable from "./AdminManagerTable";
import ClickButton from "../../../components/Button/ClickButton";

export default {
  name: "AdminManagerList",
  components: {ClickButton, AdminManagerTable},
  computed: {
    ...mapGetters([
      'managers',
    ])
  },
  created() {
    if(this.managers.length === 0)
      this.fetchManagers();
  },
  methods: {
    ...mapActions([
      'fetchManagers',
    ]),
  }
}
</script>

<style scoped>

</style>